/*
 Material didatico: Introducao 'a Programacao
 Prof. Leo^nidas de Oliveira Branda~o
 http://www.ime.usp.br/~leo
 http://line.ime.usp.br
 */


// Remover ultima parte da URL atual
function pegarURL () {
  strUrl = window.location.href;
  ind = strUrl.lastIndexOf("/");
  subStrigURL = strUrl.substring(0, ind);
  // alert("carregar_pagina.js: " + subStrigURL);
  return subStrigURL;
  }


// Carregar pagina
// ATENCAO: o arquivo 'line_*.html' em sua linha 76: <div class='card-block' id="textoConteudo">
function carregar (pagina) {
  var txtFile = new XMLHttpRequest(); // https://forums.tumult.com/t/importing-content-from-a-text-file-txt/2004/16
  //108       txtFile.open("GET", "http://www.usp.br/line/ivprog/manual_pt/" + pagina, true);
  //localhost txtFile.open("GET", "http://localhost/ivprog/manual_pt/" + pagina, true);
  url = pegarURL();
  txtFile.open("GET", url + "/" + pagina, true);
  // alert("carregar: " + url + "/" + pagina);
  txtFile.onreadystatechange = function () {
    if (txtFile.readyState === 4) {  // Makes sure the document is ready to parse.
      if (txtFile.status === 200) {  // Makes sure it's found the file.
        allText = txtFile.responseText;
        //lines = txtFile.responseText.split("\n"); // Will separate each line into an array
        var customTextElement = document.getElementById('textoConteudo');
        customTextElement.innerHTML = txtFile.responseText;
        }
      }
    }
  txtFile.send(null);
  }


// defineLInE.js: usa 'prefixo' para construir URL para HREF
var prefixo = "line_"; // se vier de 'line_*.html' faz 'definePrefixo()'
